> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Delete multiple user authorizations

DELETE https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/users/{userId}/authorizations
Content-Type: application/json

Delete one or more user authorizations for a given principal user. The principal user is specified by the `userId` path parameter.

To call this endpoint, you must be an account administrator or you must be the principal user for the specified authorizations.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/accounts/authorizations/deleteuserauthorizations

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.
- `userId` (string, required) — The ID of the principal user.

### Body (application/json)

This endpoint expects an userAuthorizationsDeleteRequest.

- `authorizations` (list of string, optional)
- `sendNotification` (string, optional)

## Response

### 200

Successful response.

- `results` (list of userAuthorizationIdWithStatus, optional)

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### userAuthorizationIdWithStatus

- `authorizationId` (string, optional)
- `errorMessage` (string, optional)
- `success` (string, optional)

## Examples

**Request**

```json
{
  "authorizations": [
    "sample string 1"
  ],
  "sendNotification": "sample string 1"
}
```

**Response**

```json
{
  "results": [
    {
      "authorizationId": "sample string 1",
      "errorMessage": "sample string 2",
      "success": "sample string 3"
    }
  ]
}
```